org.wildfly.swarm.remoting

## Class RemotingFraction

- java.lang.Object
- - org.wildfly.swarm.config.Remoting<RemotingFraction>
  - - org.wildfly.swarm.remoting.RemotingFraction

- All Implemented Interfaces:
    Fraction<RemotingFraction>

      public class RemotingFraction
      extends Remoting<RemotingFraction>
      implements Fraction<RemotingFraction>

  Author:
    Ken Finnigan

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Remoting

      `Remoting.RemotingResources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotingFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemotingFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static RemotingFraction` | `defaultFraction()`
    `boolean` | `isRequireLegacyConnector()`
    `int` | `port()`
    `RemotingFraction` | `port(int port)`
    `RemotingFraction` | `requireLegacyConnector(boolean required)`

    - ### Methods inherited from class org.wildfly.swarm.config.Remoting

      `addPropertyChangeListener, connector, connector, connector, connector, connectors, endpointConfiguration, endpointConfiguration, endpointConfiguration, endpointConfiguration, getKey, httpConnector, httpConnector, httpConnector, httpConnector, httpConnectors, localOutboundConnection, localOutboundConnection, localOutboundConnection, localOutboundConnection, localOutboundConnections, outboundConnection, outboundConnection, outboundConnection, outboundConnection, outboundConnections, remoteOutboundConnection, remoteOutboundConnection, remoteOutboundConnection, remoteOutboundConnection, remoteOutboundConnections, removePropertyChangeListener, subresources, workerReadThreads, workerReadThreads, workerTaskCoreThreads, workerTaskCoreThreads, workerTaskKeepalive, workerTaskKeepalive, workerTaskLimit, workerTaskLimit, workerTaskMaxThreads, workerTaskMaxThreads, workerWriteThreads, workerWriteThreads`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### RemotingFraction

          public RemotingFraction()

  - ### Method Detail

    - #### requireLegacyConnector

          public RemotingFraction requireLegacyConnector(boolean required)

    - #### isRequireLegacyConnector

          public boolean isRequireLegacyConnector()

    - #### defaultFraction

          public static RemotingFraction defaultFraction()

    - #### applyDefaults

          public RemotingFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<RemotingFraction>`
      Returns:
        this fraction.

    - #### port

          public RemotingFraction port(int port)

    - #### port

          public int port()

Copyright © 2017 JBoss by Red Hat. All rights reserved.